Add a content type

POST https://manage.kontent.ai/v2/projects/:environment_id/types

Create a new content type.

Request Body

{"elements"=>[{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}], "name"=>"<string>", "id"=>"<uuid>", "codename"=>"<string>", "external_id"=>"<string>", "last_modified"=>"<dateTime>", "content_groups"=>[{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}]}

HEADERS

KeyDatatypeRequiredDescription
Content-Typestring
Acceptstring

RESPONSES

status: Created

{&quot;id&quot;:&quot;d622fc28-5202-511a-9dbf-a3ee363b6c7c&quot;,&quot;codename&quot;:&quot;my_article&quot;,&quot;last_modified&quot;:&quot;2019-08-26T08:38:49.7302435Z&quot;,&quot;external_id&quot;:&quot;article&quot;,&quot;name&quot;:&quot;Article&quot;,&quot;content_groups&quot;:[{&quot;id&quot;:&quot;c2deb028-1bad-5191-952f-ace4b256ba61&quot;,&quot;name&quot;:&quot;Article copy&quot;,&quot;codename&quot;:&quot;article_copy&quot;,&quot;external_id&quot;:&quot;article-copy&quot;},{&quot;id&quot;:&quot;46d8c4db-df5c-55ab-887a-458f7ad063a1&quot;,&quot;name&quot;:&quot;Author&quot;,&quot;codename&quot;:&quot;author&quot;}],&quot;elements&quot;:[{&quot;maximum_text_length&quot;:null,&quot;name&quot;:&quot;Article title&quot;,&quot;guidelines&quot;:null,&quot;is_required&quot;:false,&quot;is_non_localizable&quot;:false,&quot;type&quot;:&quot;text&quot;,&quot;id&quot;:&quot;e32743cd-7616-4a4a-9948-c9fcb54bff3f&quot;,&quot;codename&quot;:&quot;title&quot;,&quot;content_group&quot;:{&quot;id&quot;:&quot;c2deb028-1bad-5191-952f-ace4b256ba61&quot;}},{&quot;maximum_text_length&quot;:null,&quot;maximum_image_size&quot;:null,&quot;allowed_content_types&quot;:[],&quot;allowed_item_link_types&quot;:[],&quot;image_width_limit&quot;:null,&quot;image_height_limit&quot;:null,&quot;allowed_image_types&quot;:&quot;any&quot;,&quot;allowed_blocks&quot;:[],&quot;allowed_text_blocks&quot;:[],&quot;allowed_formatting&quot;:[],&quot;allowed_table_blocks&quot;:[],&quot;allowed_table_text_blocks&quot;:[],&quot;allowed_table_formatting&quot;:[],&quot;name&quot;:&quot;Article body&quot;,&quot;guidelines&quot;:null,&quot;is_required&quot;:false,&quot;is_non_localizable&quot;:false,&quot;type&quot;:&quot;rich_text&quot;,&quot;id&quot;:&quot;bbddb422-774c-4226-984d-c15656df6108&quot;,&quot;codename&quot;:&quot;body&quot;,&quot;content_group&quot;:{&quot;id&quot;:&quot;c2deb028-1bad-5191-952f-ace4b256ba61&quot;}},{&quot;maximum_text_length&quot;:null,&quot;maximum_image_size&quot;:null,&quot;allowed_content_types&quot;:[],&quot;allowed_item_link_types&quot;:[],&quot;image_width_limit&quot;:null,&quot;image_height_limit&quot;:null,&quot;allowed_image_types&quot;:&quot;any&quot;,&quot;allowed_blocks&quot;:[&quot;images&quot;,&quot;text&quot;],&quot;allowed_text_blocks&quot;:[],&quot;allowed_formatting&quot;:[],&quot;allowed_table_blocks&quot;:[],&quot;allowed_table_text_blocks&quot;:[],&quot;allowed_table_formatting&quot;:[],&quot;name&quot;:&quot;Author bio&quot;,&quot;guidelines&quot;:null,&quot;is_required&quot;:false,&quot;is_non_localizable&quot;:false,&quot;type&quot;:&quot;rich_text&quot;,&quot;id&quot;:&quot;1c795ec7-368c-4c22-830e-e8b969f596be&quot;,&quot;codename&quot;:&quot;bio&quot;,&quot;content_group&quot;:{&quot;id&quot;:&quot;46d8c4db-df5c-55ab-887a-458f7ad063a1&quot;}}]}